Skip to main content
POST
/
content
/
assets
/
create
Create content asset
curl --request POST \
  --url https://ai.wisepilot.app/api/v1/content/assets/create \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "website_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "asset_type": "<string>",
  "title": "<string>",
  "primary_keyword": "<string>",
  "journey_stage": "<string>",
  "sections": [
    {
      "title": "<string>",
      "content": "<string>",
      "section_type": "<string>"
    }
  ],
  "product_line_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'
{
  "success": true,
  "data": {
    "contentId": "<string>",
    "title": "<string>",
    "assetType": "<string>",
    "status": "<string>",
    "excerpt": "<string>",
    "rawContent": "<string>",
    "primaryKeyword": "<string>",
    "secondaryKeyword": "<string>",
    "seoTitle": "<string>",
    "seoDescription": "<string>",
    "seoContext": {},
    "journeyStage": "<string>",
    "intent": "<string>",
    "optimizationScore": 123,
    "categories": [
      "<string>"
    ],
    "tags": [
      "<string>"
    ],
    "publishDate": "2023-11-07T05:31:56Z",
    "author": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "sections": [
      {
        "id": "<string>",
        "sectionType": "<string>",
        "title": "<string>",
        "content": "<string>",
        "sortOrder": 123
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

API key prefixed with cr_ (e.g. cr_a1b2c3...)

Body

application/json
website_id
string<uuid>
required
asset_type
string
required

e.g. blog_post, landing_page, video_script, sales_enablement

title
string
required
primary_keyword
string
journey_stage
string
sections
object[]
product_line_id
string<uuid>

Response

Asset created

success
boolean
required
data
object